Welcome

Group Mail - Welcome

Getting Started

Quick Guides

  • Setup

    • Email - tell the software how it should deliver and process it's messages.

    • Message - control how the messages are composed and encoded.

    • Identification - show who the messages are from and where replies should go.

  • Managing Groups

    • What is a group?

    • Creating groups

    • Adding Recipients to groups

      • Importing

      • Exporting

    • Maintaining groups

  • Messages

    • Message basics

    • Text Messages

    • HTML Messages

    • Personalizing Messages

  • Sending Messages to Groups

    • Preparing to send

    • Common problems and errors

Licensing & Legal Issues

  • The License agreement

  • Spam abuse

  • Privacy Policy

The technology explained - What Is?

  • SMTP

  • POP3

  • MIME / Encoding

  • Plug-ins

  • Bulk Mailing

  • Spam / Unsolicited Bulk Email

The User's Guide is designed to be an easy to use aid for Group Mail Free, Pro and Plus, however the most up to date information is available in our online support sections, available at http://www.infacta.com - if you have any problems or feedback regarding this documentation please contact us at the above site and let us know.

Copyright © 1997 - 2004 Infacta Ltd., All Rights Reserved - http://www.infacta.com


Getting Started

This getting started guide is intended to allow you to get started with the software quickly. Topics are described briefly within. Please see the related links section at the end of each topic for more in depth explanation.

  • First things first - information you will require

  • Setting Up

  • Creating Groups

  • Adding Recipients

  • Preparing a message

  • Sending a message

  • Reviewing the results

  • Tutorials

First things first - information you will require

You need to make sure that you have a fully functional Internet connection. The type of connection does not matter (DSL, Dialup, LAN etc.). With regards to dialup users often subscription accounts are the best. Most free ISPs do not offer the level of service you require. If you only have web access for instance then you will not be able to use software like Group Mail.

Once you have your connections issues sorted out you should seek the following details (not all are required).

SMTP Server: This is the address of the mail server you wish to use for sending your email. If you are using Group Mail Pro or Plus you can choose to send directly to your recipients. The best results however with regards to speed and reliability are obtained by sending through a dedicated Mail Server.

POP3 Server: This is the address of the server you connect with in order to download your email messages from. You require the details for this server if you wish to use the Subscriber Plug-in or if you are required to check your email before sending. Do not confuse this with a web based email service.

DNS Server: This is an integral part of any Internet connection and Group Mail can usually determine the address to use based on your current connection settings. This server is used to translate names (like www.infacta.com) into IP addresses (like 194.123.42.200) - Group Mail uses this service when direct sending only.

Next you will need to find out the following.

Authentication: You should ask who ever administers the SMTP Email Server you are using if you need to authenticate your connection before sending. Group Mail supports a variety of different Authentication protocols.

Limitations: You should also find out are there any limits on their service - some ISPs only allow you to send a certain number of messages per session. Others require that you use a certain email address as your From Address when sending. Group Mail can cope with all variations in these - to get it all going correctly though first time you will need this information.

Now with all that information available you are ready to configure and begin using the Software.

[back to top]

Setting Up

Identification Setup: The first thing you should do is tell the software who you are. Do this via the Identification Setup screen, available from the Setup Menu. [more]

Email Setup: using the details collected above you should tell the software how it should send your messages. See Email Setup on the Setup menu. [more]

Message Setup: control what encoding and character sets you want Group Mail to use when preparing your messages. This is very important for users who want to send binary information embedded in their messages and also for international users using non English languages. [more]

Now you are ready to tell the software who you would like to send to.

[back to top]

Creating Groups

It should be noted that this is where Group Mail differs from regular email packages. Instead of you having to select each recipient that you want to send you, you select the group that contains those recipients. Before you can do this you need to create groups.

To begin you should switch to the Group Manager tab. Click the New button, give your group a name and click OK. (ignore the other options for now). Repeat this process as necessary and create as many groups as you like. Please note that you can create these groups any time you like. To modify or maintain them just select them and click on modify (you can right click on the group also to do this).

related links

  • Creating Groups

  • Maintaining groups

  • What is a group?

[back to top]

Adding Recipients

To add recipients to that group one at a time you should select it (click on it) and then choose the Add Recipient button which you can find at the bottom of the Group Manager tab - or you can also choose the Add button via the Browse screen (which can be entered via the Group Manager tab (see Browse or view and manage recipients button). Repeat this process as required.

To add recipients in bulk (say from a list or address book/data base) you should choose the suitable Import option from the Tools menu or the Group Manager Tab. Follow the Wizard instructions for further details.

related links

  • Adding Recipients to groups

  • Importing

  • Exporting

[back to top]

Preparing a message

To edit / prepare a simple message for sending you need to switch to the Edit Message tab. Basic message preparation is very simple. Just select the Group to send to, enter a Subject line for the message to send and type your message.

To add attachments click on the + button located at the bottom of the Edit Message tab - or use the insert menu.

To spell check your message using the default dictionary press the F9 button or click on the Tools Menu / Spell Check option.

By default the standard message type that Group Mail sends is a Text message with only header personalization. Please review the following links for further information regarding advanced message creation.

related links

  • Message basics

  • Text Messages

  • HTML Messages

  • Personalizing Messages

[back to top]

Sending a message

The fun stuff. Press F5, or click on the Prepare to Send button found at the bottom right hand side of the Main screen or on the File Menu. Group Mail will quickly validate your message and make sure that everything it requires is in place (settings as well). Next you will be presented with the Prepare to Send screen. This is where you can finalize your settings.

On the Prepare to Send screen you confirm the group you are sending to, the send mode to use and the email setup details. There are a host of other advanced features available on this screen which will be explained by the information found in the related links section.

As a rule of thumb you should always preview the message you are about to send - do this using the Preview/Test button found at the bottom of the Prepare screen - it is possible to preview the message in a variety of formats and you will be guaranteed to see the message as your recipients will.

Once you are happy with the settings and the message just click Send

related links

  • Preparing to send

  • Common problems and errors

[back to top]

Reviewing the results

While Group Mail is sending your message it is compiling a number of real time reports which record everything that happens during the send process. These details can be used to confirm mailings, check and diagnose errors, restart mailings and more.

This information is stored in the Logs folder in a text format - the Logs folder is located in the Group Mail folder.

When a mailing completes you get the chance to view each log file. Just select the log file you wish to view from the list available and click View. It is recommended that you save each file to a folder of your choice - why? these reports are overwritten each time you do a mailing.

The important log file is the one labelled Full Send Details log - this contains all important information from the mailing session. To restart or continue a mailing you need to save the sent.log (see Preparing to send for more details).

related links

  • Common problems and errors

  • Frequently asked questions

[back to top] [welcome]


Email Setup

Where is Email Setup?

Go to the Main Menu in Group Mail (above the Toolbar). Click on the Setup Menu and you'll find it listed as Email Setup (it's the first item on the menu). Click on the menu item.

What does it do?

This is where you tell the software how you would like it to send/deliver your messages.

Send Modes:

Group Mail supports a number of ways of delivering your messages using SMTP. Here is a brief out line of each mode and the pros and cons of using them.

  • Standard - Send through an SMTP Mail Server

This is the default send mode for Group Mail. Basically the software will send all messages through your ISPs (/Network Provider) SMTP Email Server. For dialup users or users with slow connections this is often the best choice. It also is suitable for users sending to an Internal mail server.

This mode is available to all Group Mail users (Free, Pro and Plus).

  • Direct - No SMTP Server required

This option allows you to send your messages directly to your recipients email accounts without the need to use an SMTP Email Server. Sending directly is slower than using the Standard Send mode. Direct Send is useful for users who do not have access to their typical server setup (if they are travelling for instance).

This mode is available to Group Mail Pro and Plus users only.

  • Express - High speed sending

This send mode offers the best of both standard sending and direct sending as well as a host of other features. Using Express sending you can send up to 64 messages simultaneously. The Express Sending option works in the background and makes working with Group Mail a lot more responsive when you are doing large mailings. This send mode is suitable to fast connections.

This mode is available to Group Mail Plus users only.

  • HSD- High speed delivery

High Speed Delivery is intended as a replacement to the Express Send mode. It offers far better integration with Group Mail and also allows scheduling. This send mode is suitable to all types of connections.

This mode is available to Group Mail Plus users only.

[back to top]

Setting Up

The first thing to do is choose the send mode you would like to use. To do this please select from the drop down list found beside the Send Modes label (under the label that says 'How do you want Group Mail to deliver your messages?')

Standard Send Mode - SMTP Server Send Setup

If you are using this send mode all messages will be sent through the email server that you specify (as SMTP Mail Server).

SMTP Mail Server: You should enter the address of the email server that will accept your email from you. If you do not know what this is then you should contact your ISP or network Administrator. Advanced Options: If you want to control the domain used when connecting to your mail server or if you want to turn off extended SMTP support or change the Port being used to access the mail server then you should click on the Advanced button.

Authentication: Proving who you are. Some email providers require that you prove your identity before they will accept email from you.

Requires SMTP Authentication: If your email provider requires you to authenticate your connection before sending your messages then you should enable this option. Click on Setup to enter your username and password.

Requires POP3 Authentication: Some service providers require that you logon to your POP3 email account before sending. Enable this option and Group Mail will take care of it automatically. Click on Setup to enter your POP account details.

Timeout: How long should the software wait for a response from the configured server. We recommend leaving this at between 30 and 90 seconds.

Reconnect Every: This setting determines how many messages the software should send before creating a nice new fresh connection. Some mail servers have limits on the number of messages they will receive in a session, others just get plain cranky if you send too much and get slow and awkward and tend to have angry network administrators on the other end steaming. For typical dialup users the setting should be kept to 25 or under (unless otherwise informed by your ISP - some may only allow 5 or 10 messages per go). Users using in an house mail server should be able to push this a lot higher.

This setting often needs a bit of tweaking before you get the best results from it.

Pause then for: If you want to space out your mailing over a period of time you can setup a pause here. Typically no pause is required, however your network administrator may prefer it if you spread a large mailing out over as much time as you can. Please note that this setting is used in conjunction with the "Reconnect Every" setting above.

To make sure that everything is working you should click on the Test Settings button - this will allow you to send a test message using the settings you have just entered.

[back to top]

Direct Send Setup

All messages sent using this mode will be delivered to your recipients mail box directly. Please note that this option is slightly slower than sending through a local server. Mail sent in Direct mode from free ISP accounts is not treated with much respect by other ISPs and can sometimes be filtered as Spam.

DNS Server: This is the address of the domain name service server which translates domain names into IP addresses. Group Mail will examine your system automatically to determine this setting. To manually do this click on the Query system button. If no address comes up then you should contact your ISP or Network Administrator. Please note that if you change ISPs at a later stage you should come back here and update the DNS setting. The address can only be entered in IP format (numerical - xxx.xxx.xxx.xxx)

Timeout: How long should the software wait for a response from the configured server. We recommend leaving this at between 30 and 90 seconds.

Retry on Failure: When you are sending in Direct mode it is not uncommon for some of the recipient mail servers to be too busy to accept a connection from you. To better cope with this it is recommended that you enable this option and set the retry attempts option at 3. (Most mail servers will retry every few hours for several days!).

Route through SMTP Mail Server on failure: If Group Mail is unable to send directly to the current recipient you can set it up to route your message through your SMTP Server (please note that you need to have the Standard Send mode option properly configured for this to work). This option is really helpful where you want to spread the messages being sent between your mail server and the direct connection.

To make sure that everything is working you should click on the Test Settings button - this will allow you to send a test message using the settings you have just entered.

[back to top]

Express Send Setup

Send your messages using the high speed SMTP Express Send engine (only available in Group Mail Plus). It should be noted that this send method is designed to handle large volumes of email in the background. For it to work properly you will need a robust system with plenty of free disk space. It is recommended that users enable and use the Fixed Route option when sending their email with this option.

Processing Tab

  • Number of Connections to use: Select the number of connections you would like the Express engine to use when sending your messages (we recommend starting with a low number and working upwards). If you are on a slow connection or have less than 128 mb of memory or are using Windows 95, 98 or ME then we suggest that you use 10 connections or lower. Using more connections may actually slow down the delivery process as each connection will actually content for bandwidth. Windows NT or 2000 (and higher) with 256mb of memory and with fast net connections (like T1, please note that many cable, DSL and Satellite services are asynchronous which means your out bound connection is shared and is much slower that your inbound one) can use all 64 connections. If you find that it is running slower than expected then you should reduce the number of connections and see what number gives you the optimal performance.

  • Retry failed messages every: Use this setting to determine how long the software should wait before retrying failed messages. 1 Hour typically works out best here. If you are doing a large mailing you may need to increase this delay so that retries don't interfere with the main mailing and slow it down.

  • Stop Retrying after: Determine the length of time the software should retry messages for. We recommend a minimum of 24 hours.

Notifications Tab

  • Save failed messages to the failed message folder: If a message cannot be delivered then with this option you can force a copy of the message to be saved to the failed messages folder (found in the SMTP Express folder, under the Group Mail folder).

  • Send bounce message to sender: Like above, expect a copy of the message is returned to the sender.

  • Enable logging of all send events: This option creates a log file which shows exactly what happens with each message that is sent or failed, right down to command level. This can be helpful for advanced users who wish to debug delivery issues they may be encountering.

Routing Tab

  • DNS Server: This is the address of the domain name service server which translates domain names into IP addresses. Group Mail will examine your system automatically to determine this setting. To manually do this click on the Query system button. If no address comes up then you should contact your ISP or Network Administrator. Please note that if you change ISPs at a later stage you should come back here and update the DNS setting. The address can only be entered in IP format (numerical - xxx.xxx.xxx.xxx)

  • Route all email through this SMTP Mail Server: This option forces all messages to be delivered through the specified email server, instead of being delivered directly to each recipient. It is recommended that you use this option if you have access to an in house mail server - let it do what it's configured to do - deliver your messages. Please note that only one connection will be used in this case so as not to over load the server.

Extra Information Tab

  • If you require more specific information regarding the Express Sending engine you will find it here - see the link to the SMTP Express help file for more details.

HSD Send Setup

See the instructions for Standard Send or Direct Send for instructions on how to setup the HSD send mode.

The two options available in HSD are almost identical to the standard and direct send options explained above. The only differences being:

  • Connections: This controls the number of messages that should be sent simultaneously. If you are on a slow connection or sending through a dedicated email server we recommend that you reduce this to a value of 10 or lower. The current maximum is 64.

  • POP Authentication: Is currently not supported in HSD mode. What you should do if you need to POP authenticate is set your email client to auto check your account every few minutes.

  • DNS Setup: To configure an alternative DNS server to use for sending you need to go to the Setup Dialog in the HSD console.

Advantages of using HSD send mode over the others include speed, enhanced logging, scheduling. Scheduling is possible from the Prepare to Send screen if you are using this mode - just click on the Send Later button.

HSD Send mode is the recommended send mode for all Group Mail Plus users.

[back to top]


Message Setup

Where is Identification Setup?

Go to the Main Menu in Group Mail (above the Toolbar). Click on the Setup Menu and you'll find it listed as Message Setup. Click on the menu item.

What does it do?

This is where you determine what character set should be used to read the message as well as the encoding that should be used to make the message safe for transmission for sending over the Internet.

Character Set

  • Choose the character set here that corresponds with the language being used to create the messages you are going to be sending. Please note that this selection does not determine how you create the message, rather how it's viewed by your recipients.

Email Message Setup

  • Encode Using: Email was designed as a text messaging system where only standard ASCII values (7bit) would be used to compose the messages. Due to the popularity of email it is being pushed in all sorts of ways that were never envisioned when the original protocol was designed. Because of this some email gateways are unable to process messages that contain non standard ASCII characters (8bit). If you intend on sending messages that use either a non English language or contain non alpha-numeric characters then you need to make sure that you choose a form of encoding that will protect these characters - otherwise they *MAY* be stripped out of the message. The current choices available are Printed Quotable and Base 64. We recommend that you use Printed Quotable encoding as it produces a readable encoded message. Base64 encoding is typically used for Binary files.

    If you know that some of your recipients will not be able to view encoded messages then you should keep your messages simple and send them using the None encoding option. This is also true if you are sending messages to List Servers etc. that do not like MIME.

  • Wrap Text: If you choose NONE as the encoding option then you can determine if the message should be hard wrapped when it is sent. Some mail systems do not like lines that exceed 80 characters in length - to make sure your message isn't ripped apart by any servers like this you should set your wrap at under 80 characters (we recommend 76).


Identity Setup & Management

Where is Identity Setup?

Go to the Main Menu in Group Mail (above the Toolbar). Click on the Setup Menu and you'll find it listed as Identity Setup. Click on the menu item. Alternatively you can click on the Manage Identities button on the main screen:

This will launch the Identity Manager:

What Are Identities?

An Identity in Group Mail is used to show who a message is from, where replies should be sent etc. By default you only need to enter a From email address. The rest is entirely optional.

Using the Identity manager you can create multiple identities that are selectable when editing your messages. These Identities are shown on the Edit Message tab beside the From label, below the Sent To section (groups).

Some advice - before you do a mailing you should make should always do a Preview. To do this click on the Preview button on the Prepare to Send screen.

Creating and Maintaining Identities:

On the Manage Identities screen you can choose to modify and existing entry or create a new one. Please note that you can also delete entries - however once you do this there is no way to recover or undo deleted entries.

When editing or creating a new identity the Edit Identification Details dialog will appear:

Each Identity must have a unique name (to help tell it apart on the main list):

Below that then you can enter the name and email address you would like to appear with messages you send when using this identity:

Identification details:

Name: Optional. This is the name that will appear as the Sender of the message. The little button beside this field marked ... allows you to enter a merge field which will be personalized later when sending. This is a useful option if you want to control who the message appears from. You could assign a sales rep for each of your customers for instance and make it look like the message is from them.

Email Address: Required. This is the email address that the message will appear from. Also, this is the email address that will be used to tell your email server or the recipients email server who the message is from.

Reply-to: Optional. Enter the email address you would like replies to be sent to here. The little button beside this field can be used to put enter a merge field. This merge field must contain data that is in typical email address format. See the Name field description above for further information.

Errors-to: Optional. Enter the email address you would like error messages, bounces etc. to go to here. Please note that this field is not widely supported yet but it is developing.

Organization: Optional. Enter the name of your organization here. This field is rarely used now and is typically not shown to the recipient.

Signature: Optional. Enter text that you would like to appear at the end of each message that you send using this identity. Please note that this text is only appended to text messages and not HTML ones (because of the potential for formatting difficulties/incompatibilities).

Optional Custom Headers:

Optional. You can add additional information of your choice to the headers of messages that you send. Group Mail uses standard headers only and you are free to add which ever other ones you like.

Please note that header names cannot contain spaces and that header and value must not exceed 80 characters in length.

Typically custom or additional email headers begin with X-

If you would like to see an example of the custom headers at work then please see the Habeas SWE tutorial available at http://www.infacta.com/tutorials.asp

More Options:

All items on this tab are optional.

Make the Reply-to address appear as the only Email address in each message sent....

This option makes the address or merge field specified as the Reply to address appear as the From address in the message headers. The From address is still required for communicating with your email server (or your recipients if direct sending). By duplicating the reply-to field details into the from header you can that you recipients reply to the correct address (and that the message looks like it came from that address). This is useful for bureaus etc.

Use the Return-path header with the errors-to field...

If you are using the Errors-to field described earlier you can also get Group Mail to use the address specified there as the Return-path header. It should be noted that some email servers will embed this field regardless of if you are using it or not and they will use the From address. Others will completely ignore it. We do not recommend that you use this option unless you know for sure that the server you are using does not embed it.

Automatically Embed signatures in all Text messages...

This option allows you to manually control if you want to embed the signature or not when using this identity. See the merge menu - you will find the Signature field there. If you embed that field then Group Mail will replace it with the signature specified in this identity.

related links

  • Creating Groups


What is a group?

A Group is a list or a series of recipient details.

In Group Mail you can create an manage as many of these as you wish via the Group Manager tab. There are no limits to the number of Groups that you can create.

It should be noted that Group Mail is not designed to send to singular email addresses like a regular email client. In Group Mail you select the Group you wish to send to. These groups must exist before mailing.

It is possible to convert lists in other formats using the Importer Wizards available on the Tools menu in Group Mail.

What is required to setup a group? Just a unique name.

What details are required for each recipient added to a group? The only piece of information required for a recipient is the email address. Group Mail uses the email address for each recipient as it's key. Therefore each recipient listed in a group must have a unique email address. No other information is required.

related links

  • Creating Groups

  • Adding Recipients to groups

  • Importing

  • Exporting

  • Maintaining groups


Creating Groups

To create a group go to the Group Manager tab and click on the New button.

Group Name: Give your group a unique yet understandable name here. This name will be used to reflect the physical group on the Group Manager tab. The name can be up to 75 characters long and must be comprised of alpha numeric characters only.

Optional: You can associate an Identity with a group. When ever you select the named group the associated identity will also be selected. You can override this behaviour by manually changing the From identity after you have selected the group.

All groups are stored in the Group Mail folder on your system and have a .gdb extension.

related links

  • What is a group?
  • Identification Setup

  • Adding Recipients to groups

  • Importing

  • Exporting

  • Maintaining groups

  • Creating backups


Adding Recipients to groups

What is a recipient? A recipient in Group Mail is a record of data, indexed by an email address that corresponds to somebody or something that you will be sending information to.

What is a group?

To Add Recipients to a group you need to switch to the Group Manager tab. From here you can add the recipient(s) by doing any of the following:

  • Browse a Group: double click on any of groups available - this will bring up the Group browser which will allow you to add, modify, delete, and do a host of other of other interesting things to recipients.

  • Directly from the Group manager tab by clicking on the Add Recipient button - found below the list of groups.
  • Using an Importer - more

The Add Recipient dialog allows you to enter up to 20 fields of information per recipient (the only one piece that is required is the email address). On the Add Recipient screen (which by the way also doubles as the Modify screen) you can easily add the recipient to multiple groups by using the Apply button and by changing the target Group.

Modifying a Recipient
To modify a recipient you should select them via the Group Browser or from the Search results screen and then click on Modify. Please note that when you choose to modify a recipient you can choose to apply the change across all groups where that recipient can be found (based on their old email address if different now).

related links

  • Creating Groups

  • Importing

  • Exporting

  • Maintaining groups


Importing

If you have recipient information (such as lists, address books or database tables etc.) that you would like to use in Group Mail you will need to Import it. Currently Group Mail has three importers available. One for importing common email address book formations (like Outlook Express, Netscape, or Eudora etc.), one for importing Text/Binary information from Files or the Windows Clipboard and one for Importing from Databases. Both the Address Book and File importers can be found on the Tools Menu or from the Group Manager tab. The Database importer is only available to Group Mail Plus users and it is available as a Plug-in.

For in depth information on how to use either of them please see our tutorials section online at http://www.infacta.com/tutorials.asp

Importing Files or Lists: If you wish to import a list or a file then you should use the File importer (tools menu). For best results your details should either be in a simple list - one email address per line or they should be in some sort of delimited format - one record per line with a common character used to separate each field - like a comma or a tab.

Importing Address Books and Distribution Lists: If you wish to import an address book or list from your email software then you should use the Address Book Importer, found on the Tools menu.

Currently supported formats are:

  • Outlook Express

  • Netscape

  • Eudora

  • AOL (versions 4 and 5 only)

  • Exchange Server *

  • Lotus Notes *

  • Outlook *

  • Personal Address Book (PAB) *

  • Pine *

  • Global Address List (GAL) *

    * Available in Group Mail Plus only

Distribution lists are only supported in Group Mail Pro or higher.

Importing Databases: Group Mail Plus users should use the Database Importer plug-in. Other users should first export the data they want to import as Text (CSV format is preferable) and then use the File Importer to get the information into Group Mail.

related links

  • What is a group?

  • Adding Recipients to groups

  • Exporting

  • Maintaining groups

  • Creating backups


Exporting

If you would like to use any of the information in your Groups in other applications then you will need to export it. Group Mail supports the standard CSV format for exporting (Comma Separated Values).

To export a group you should select it on the Group Manager tab, then click on the Export button or Tools / Export Menu. This will bring up the Export Utility.

  • Group: Choose the Group that you wish to Export

  • Output: Choose the file that you want to save the exported data to. Use the Select button to choose the location and to enter the file name to use.

  • Delimit the Data using the following Character: Choose the character to use to separate each field in the information you are saving. The standard one to use here is comma.

  • Include the field names on First Row: The first row of data will contain the field names exported in the same order as the data. Useful if you are later going to import the data into a Database etc.

  • Which fields to you want to Export: Select the information you want to export - just click the fields to output.

  • Select which recipients you wish to filter: You can add rules here that filter the source data before it is exported. Use the Add button to create new rules. Please note that it is also possible to export search results from the Search Tool. This may be easier than creating rules.

related links

  • What is a group?

  • Adding Recipients to groups

  • Importing

  • Maintaining groups

  • Creating backups


Maintaining groups

Where do I maintain groups?

The Group manager tab is central to group maintenance. Also there are a number of plug-ins available to customers which extend the core functionality.

What can I do with my groups?

You can do the following using the core feature set found in Group Mail

  • Create, Modify and Delete groups
    To create a new group use the New button on the Group Manager tab. Specify a name and click OK. That's it. [more]
    To modify a group you have to select it first (also on the Group Manager tab) and then click on the Modify button (you can also use the context menu which you can access by selecting the group and by then right clicking on it).
    To delete a group - select it on the Group Manager tab - and click the delete button - you have to confirm the deletion. Local deleted groups are copied to your recycle bin (just in case you need to restore them later).

  • Move / Copy recipients between groups
    To move or copy recipients between groups you need to select the group you wish to move or copy from on the Group Manager tab - then click on Browse. This will open up the entire group and make all recipients available to you for updating etc. To copy or move just select the recipients and then click either the Copy or Move buttons which are located at the bottom of the Browse screen. You then get the chance to determine which groups to move or copy the recipients to. Please note that it is also possible to move and copy recipients from the Search tool to other groups.

  • Search across groups
    To search a group or series of groups click on the Search button on the Group Manager tab - or from the Tools menu click on Search also. Select the group to search (there is also an item at the end of the list of Groups called 'All Groups' which you should use for searching, well all groups :)
    Next thing to do is select the field to base the search on yet. Then choose how to base the search - the current options are Equals, Contains, Starts with and Ends with. The last option is the criteria - leave this blank for blank fields.
    When you click search the result set will be shown below - resembling the Browse group screen. It is possible then to do move / copy recipients as well as other common options directly from the results. Please note that if you are searching multiple groups you can not move or copy recipients.

  • Update recipients across groups
    When you modify a recipient (either via the Browse groups option or the search results screen) you can choose to apply changes to all instances of the recipient (determined by email address).
  • Importing
  • Exporting
  • Creating backups

With the extended versions (available to customers) you can do the following with the help of plug-ins

  • Merge groups together
    To use this functionality download and install the GroupPurge plug-in - available from the Customers download section found at http://www.infacta.com/customers.html
  • Purge groups from each other - this one even allows you to purge lists in other formats from your group(s).
    To use this functionality download and install the GroupPurge plug-in - available from the Customers download section found at http://www.infacta.com/customers.html
  • Print groups
    Available directly inside the software when you are a Pro or Plus user. You can choose to Print from the Group Manager tab, the Browse Recipients screen or from the Search screen. There is also a plug-in available but its not as powerful as the built in printing.
  • Add & Remove recipients via email using the Subscriber Plug-in
    To use this functionality download and install the GroupPurge plug-in - available from the Customers download section found at http://www.infacta.com/customers.html. This note that this plug-in also comes with further help information which you should review if you require help using it.

related links
  • Tutorials
  • Creating Groups
  • Adding Recipients to groups
  • Importing
  • Exporting
  • Creating backups
  • Frequently asked questions


Message basics

This is a simple guide which explains some of the key aspects of creating, maintaining and sending messages.

Creating a basic message

  1. Select the edit message tab

  2. Click on the file / new menu item or the blank document icon on the tool bar.

  3. Select the Group that you wish to send to. If you do not have any groups created please see the section on creating groups.

  4. Enter a Subject for the message - make this informative but keep it under 80 characters long. This is to avoid transmission problems with older mail servers. See Message Setup for more information on this.
  5. Type up your text message. If you already have some text prepared and you would like to use it you should use the file / open menu item or use the Insert / Text file menu item. It is not recommended that you copy text from applications like MS Word as it will probably include lots of hidden formatting characters which will not be sent by group and thus may cause the message to appear differently.
  6. If you want to send some file attachments you should use the button marked with the + to add these. To remove attachments from the list please use the - button.
  7. To spell check your message either use the Spell Check item on the Tool bar or the click on the Tools / Spell Check item.
  8. Congratulations - you have now created a simple text message that is ready for sending. To send just click on the Prepare to Send button (or see the File Menu).

Saving a message
  1. To save a message just click on the disk icon on the tool bar or choose the File / Save menu item. You will be prompted for a name to use for saving the message. All messages saved will have a .gmx extension.
  2. When you send a message it will automatically be saved to the Message History area (See the message history tab).

Opening previously saved or sent messages
  • To open a previously saved message click on the File / Open menu item or the open folder icon on the Tool bar.
  • To open a message that you sent earlier you should go to the Message History tab and locate the message - double click on it or choose the open command.
  • Please note that when you close Group Mail the last message being worked on will automatically be saved and re-opened when you start the software again.

Creating messages in different languages - tips
  • make sure you are using a suitable font for editing. See the Setup / Editor Font menu item.
  • select a suitable character set in Message Setup, make sure that you are using some form of encoding also.

Spell Checker
  • Configure the dictionary via the Setup menu.
  • make sure you are using a suitable dictionary and custom dictionary - there are a range of dictionaries available for download.

Using Website links or email addresses in messages
  • Most email clients will automatically convert text Links (URLs like http://www.infacta.com) to active links like http://www.infacta.com automatically. You don't have to do anything special - just make sure to put http:// before the address and let the recipients email client do the rest.

related links

  • Text Messages

  • HTML Messages

  • Personalizing Messages

  • Message Setup

  • Creating Groups


Text Messages

By default all messages created in Group Mail are text messages. This is basic and default format for email messages. If you want to create messages that contain formatting and images etc. you need to check out the HTML Messages section.

HTML formatted messages are gaining in popularity all the time - there is one problem with them though - not all recipients are capable of viewing them properly. We would recommend that you send text messages to recipients by default. If you also send HTML messages you can invite recipients to cross over to receive the HTML editions of your message.

Group Mail also supports dual messages, whereby both messages are sent at the same time in the one email - the recipients email client can then select which part to view. This only works with MIME compliant email software.

Creating a text message

  • Please see this step by step guide to creating a simple text message.

related links

  • HTML Messages

  • Personalizing Messages

  • Message Setup


HTML Messages

If you want to include images in your messages and formatted text then you will need to create your message using HTML (Hyper text mark up language - used to construct web pages).

If you are using Group Mail Pro or Plus then you can use the free GroupHTML plug-in to help you create such messages. Alternatively you can use any HTML Editor. Just make sure that the HTML message is saved as a file. You then just need to select that file in Group Mail as the optional HTML message file (see the bottom part of the Edit Message tab).

Group Mail will take care of the rest.

Please note that if you do not include a text part also one will be generated automatically by Group Mail.

Signatures are not applied / embedded in HTML messages - they are only used with text messages.

All local images will be wrapped up with the message (aka inline images). Some web based email clients are not able to properly decode these. If this is a problem for you then you should consider placing the images on a web server and then link them into your HTML. This will make your messages a lot smaller (faster to send) and each recipient will download them as required (this method could be used to check on viewing stats - by checking your log files you will see how many, but not who viewed your message in HTML).

related links

  • Text Messages

  • Personalizing Messages

  • Message Setup


Personalizing Messages

When you are editing a message you can also embed personal details for each recipient in your target Group. To do this click on the Merge menu on the Main Group Mail screen. Every field that is available when you are adding a recipient is also available on this menu. Just click the field menu item you would like to embed in the message and it will appear in the message in wrapped with the following characters: !* and *! - please do not edit these manually or they may not function correctly when it comes to sending. You can also embed personal information in the subject line. To do this click on the Subject area first then click on the merge menu and select the field you would like to embed.

If you include a HTML Message it can also host merge fields. However you have to enter them into your message manually (or you can use the GroupHTML plug-in). We suggest that you copy them from the Group Mail Message Edit area and paste them into your HTML Message.

TIP: Preview your message before sending it to make sure it appears as your expect. The preview function is available on the Prepare to Send screen which is presented before you do a mailing.

Please note the following:

  • If you enter a field in the message and the corresponding Recipient field in blank then nothing will show in that field when the message arrives with your Recipient.

    In other words, If you embed the First Name field in the message but some of your recipients don't have First Name Information stored in their entries in the Target Group then nothing will show for each instance of that field name. e.g. "Hi !*FIRST_NAME*!," for each recipient that doesn't have a First Name entered in the Target Group they will just receive "Hi ," when they get their message from you.

    You can stop people receiving messages if they don't have all the required fields filled out in the Group by setting up Send Filters.

  • If you wish to use the merge fields as part of a web link or URL like http://www.mysite.com/process.asp?Name=!*ADDITIONAL_FIELD1*! you must use the URL Friendly version of the field. Otherwise if the field contains a space or other illegal characters (illegal for web links like $%&* etc.) they will not function correctly. At the end of each section on the merge menu in Group Mail you will see a URL Friendly section. Each field listed as URL friendly will automatically be encoded by Group Mail during transmission to make sure that it will be passed correctly to the target web server. An example of a URL Friendly link would be http://www.mysite.com/process.asp?Name=!*URL_ADDITIONAL_FIELD1*!

  • You cannot send in Bulk Mode if you use Merge Fields.

If Then Else Scripts

Make parts of your messages conditional using If Then Else scripts. Using the contents of one field you can further customize your messages on the fly.

Example:

Dear <IF(!*FIRST_NAME*! = Nothing THEN Customer ELSE !*FIRST_NAME*!)ENDIF>,

What this will do is write out the contents of the First Name field if it contains any information ("Dear Joe,"). If it is empty it will write out the word Customer - giving you an opening line of "Dear Customer", (as opposed to something like "Dear ,")

To build an If Then Else script you should use the Script builder option that is available on the Merge Menu.

Things to look out for when building such a script.

  1. If you use >, >=, <, <= you should be aware that they only work on fields that contain numbers.

  2. Output phrases can take up multiple lines.

  3. You cannot nest scripts inside each other at present

Number Formatting

Each of the additional fields can be formatted using named number formats. These formats are locale dependant. Currently two are made available through the menus - FNUMS (standard) and FNUMC (currency). However two others are available - FNUMP (percentage) and FNUMD (datetime).

These functions will only work with the additional fields (1 thru 4). They must be used like this:

FNUMC(!*Additional_Field3*!)

Case Formatting

Make sure field information such as names is presented in the correct case using the Fixcase function (see the Script Builders menu). The Fixcase function will turn text like jOe bLoGGs into Joe Bloggs

This function will work with all fields. The function must be presented like this:

<FIXCASE(!*COMPLETE_NAME*!)ENDFIX>

Please note that this function can work with text that wraps onto multiple lines - however you should be careful with it as the first letter in each word will be capitalized. TIP: Preview before sending

Custom File Attachments

With Group Mail each recipient can have up to 4 unique files linked to them. These files can then be sent as custom attachments just for those recipients that have such files related to them.

To specify a custom attachment for a recipient you should enter the file name with the full path into any one of the additional fields (4) available (in that recipients listing in the Group). To do this manually just select the recipient from the Group Setup tab and click Modify - then double click in any of the additional fields and select the file that you wish to attach/specify as custom.

Please note that this information can also be imported when you are also importing recipients. Another important note is the fact that the file name (and path) can only be 50 characters long at maximum.

Custom file attachments are also disregarded if you select to send in Bulk Mode.

Each of the additional fields can be used for this purpose.

When you go to do your mailing you will see a Custom File Attachment tab on the Prepare to Send Screen. On this tab you can if you wish to include custom attachments. If you select to do so then you can choose which Additional Fields you wish to use.

Custom file attachments can also be used in conjunction with regular attachments.

It is recommended that you compress any files you send using a PKZip compatible tool before attaching them. This will make sending them a lot faster and your Recipients will be a lot happier to download smaller files.

With the release of version 3.4.045 you can now also personalize the sender details (to a certain degree). For more information please see this section.

related links

  • Text Messages

  • HTML Messages

  • Message Setup

  • Personalized Identification Settings


Preparing to send

Once you have prepared your message It's time to Send it. Before you send it out to your Recipients though a host of options are available which will let you decide how the message is to be delivered and to whom. There is also a Test/Preview option which let's you see exactly what the recipient will receive.

If you are using Group Mail Plus and the HSD Send mode then you can also schedule messages for sending later. Use the Send Later button to do this.

General Tab:

Group Details: This just reminds you of the group that you choose to mail to and It's size. You can select a different group here if you wish - please note however that any of the options you may have set on the prepare to send screen will be reset.

Sending Method:You should choose the Personal Send option if you wish for each recipient to receive a message with their own email address in the 'To' field. Personal Send differs from Bulk Send in that it forces Group Mail to send individual messages to each Recipient. Also if you have embedded merge fields in the data then this is the only option available as you must send a unique message for each individual recipient. Please note that this option is slower than the Bulk option but the end result is often much more professional (because you have addressed each recipient individually).

If you choose the Bulk Send your message will be sent considerably quicker but the 'To' field of the message will contain the text string that you choose (default is the Group Name) and your 'Reply To' email address. Please note that Bulk Send Mode is not available in Group Mail Free - and that it cannot be used if you are sending personalized messages or using the Direct Send Email Setting.

Request Read Receipt:If you set this option most email clients will send back a notice to you stating when your message was read by your recipients. Please note that not all email packages support this - and of those that do some give users the option of not sending the reply

Email / Send Settings:

You can make changes to the Email Server / Send mode settings being used here.

Custom Attachments

Please click here for more details regarding Custom Attachments.

Filters:

Choose a Date Based Filter:

If you add recipients to your Groups on a regular basis then you can use these filters to do quick selective mailings e.g. you could send the same message to the group every week and have it only be sent to those recipients that were added since the start of the week.

Choose the Filters you wish to use:

You can enter any number of filters here which can be used to filter out recipients (to Ignore or Send to) based on any field in the Recipient record. For example if you were using Merge fields and you only wanted to send messages to Recipients that had a valid First Name then you could create a Filter which would IGNORE where 'First Name' Equals ''

Partial Sending:

If you need to step through the mailing of a group then you can use this option to select which part of the Group you would like to send mail to. It can also be a very fast way to recover from a failed mailing if you know the exact point of where the mailing ended.

Advanced Exclusion / Recovery:

If you have a temporary list of Recipients stored in a file that you do not wish to send the message to then you can enter the path of it here. This message could be a previous list of Recipients that received the message in an earlier attempt. Click here for information on how to obtain this list or click here for details on Restarting an incomplete mailing.

  • Email Setup

  • During and after

  • Common problems and errors


During and after

When sending - during and after

When Group mail is sending a message you can tell at all times what is going on.

  • Status: This shows what Group Mail is actually doing at that time.

  • Recipient Distribution Progress: This shows the progress of the complete job.

  • Message Delivery Progress: This shows the progress of the current message that is being sent out. If you're mailing in personal mode then this resets for each recipient. In bulk mode it resets after every split or reconnection.

  • Sent To: Shows the exact number of recipients that have received the message at that point in time.

  • Excluded: Shows the number of recipients who have been found to have entries on the Exclusion List or the Block file

  • Filtered: Show the number of recipients that have been excluded from the mailing by send filters that you setup while Preparing to Send the Message.

  • Errors: Shows the number of errors which have occurred so far. This includes errors generated by invalid recipients etc.

  • Time: Total Time take so far.

  • Session Details: This is a log of all the information that has been sent to and received from the Mail Server.

When you have finished sending your message the Send results section will appear. The most important feature of this are the logs that are available. You can see exactly who received the message, what errors occurred, which recipients were not mailed (and why - Errors, or because of Filters).

Use the drop down list to select which log you would like to view. Also you should save any logs that you wish to keep. Use the Save As button to do this. Group Mail will reset these logs for each mailing. The most important log is the Sent Log.

If for some reason your connection got terminated or your PC got powered down before you completed the mailing (if this happens, go to the Group Mail\Logs directory and retrieve the file there before restarting Group Mail, it will be called Sent.log) then you can use this file as a block file when you go to send the message again. This will help you avoid resending the same message over and over again to the same recipients. (see the Prepare to Send screen - Advanced Exclusion / Recovery tab for details on how to use this file).

** Notice: from version 3.4 all new messages sent in Group Mail can be resumed with one click from the Sent Messages tab. Just select the message and click the Resume button.

  • Email Setup

  • Preparing to send

  • Common problems and errors


Common problems and errors

Please check out our up to date online FAQ system at http://www.infacta.com/kb/default.asp

Most frequent (typical) errors :

Q: When I send my messages nobody ever receives them. Group Mail says they were all delivered correctly. What could be wrong?

A: There are a few possible causes.

  1. You are an AOL user who is dialled up to AOL. AOL do not like their customers sending email using non-AOL software on their network to other AOL customers. Solution? Connect to the Internet using a different ISP.

  2. Your ISP will not deliver your messages because you did not use a certain email address as your From Address.

Q: I receive an error message saying that there was a problem with an attachment or something in my message. I'm not sending any attachments!

A: This error is typically caused by a 500 response to the Data command (SMTP Stuff). Some ISPs are reporting limits etc. using this response (there is no direct support for quotas / send limits in SMTP so they have to just stick it in there - messy). What you need to do is contact your ISP and see what their limits are on message volume etc. Then in Email Setup you need to configure Group Mail so that it operates within those limits.

Q: When I send my messages through SMTP Express they are not being delivered.

A: Make sure SMTP Express is online and that you have a valid DNS Server configured. It is recommended that if you have access to an SMTP Email server that you use it as your fixed route option. Please see email setup for more details.

Please check out our up to date online FAQ system at http://www.infacta.com/kb/default.asp

  • Email Setup

  • Preparing to send

  • During and after


The License agreement

END-USER LICENSE AGREEMENT FOR "Group Mail Free, Pro & Plus"

IMPORTANT - READ CAREFULLY Please read the following license agreement. You must agree to its terms before purchasing a license for Group Mail or downloading any version of Group Mail.

This end-user license agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and infacta ltd. for Group Mail Free, Pro & Plus, including computer software, electronic documentation and printed materials ("SOFTWARE"). By Downloading, installing, copying, or otherwise using the SOFTWARE, you agree to be bound by the terms of this agreement. If you do not agree to the terms of this EULA, promptly destroy all copies of the SOFTWARE, including any updates, in your possession or return them to infacta ltd.

The SOFTWARE is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE is licensed, not sold.

1. GRANT OF LICENSE. infacta ltd. grants to you as an individual, a personal, nonexclusive license to make and use copies of the SOFTWARE in the manner provided below. If you are an entity, infacta ltd. grants you the right to designate one individual within your organization to have the right to use the SOFTWARE in the manner provided below.

infacta ltd. may have patents or pending patent applications, trademarks, copyrights, or other intellectual property rights covering the SOFTWARE. You are not granted any license to these patents, trademarks, copyrights, or other intellectual property rights except as expressly provided herein. infacta ltd. reserves all rights not expressly granted.

infacta Ltd. reserves the right to terminate this license at any time, at which time you must destroy all copies of the Software you have previously installed.

2. COPYRIGHT. All title and copyrights in and to the SOFTWARE (including, but not limited to, any images, photographs, animation, video, audio, music, text, and "applets," incorporated into the SOFTWARE), the accompanying printed materials, and any copies of the SOFTWARE, are owned by infacta ltd. and its suppliers. The SOFTWARE is protected by copyright laws and international treaty provisions. Therefore, you must treat the SOFTWARE like any other copyrighted material except that you may either (a) make one copy of the SOFTWARE solely for backup or archival purposes, or (b) install the SOFTWARE on a single computer provided you keep the original solely for backup or archival purposes. You may not copy the printed materials accompanying the SOFTWARE.

3. DISCLAIMER OF WARRANTY

NO WARRANTIES. The SOFTWARE PRODUCT is provided "as is" without warranty of any kind. To the maximum extent permitted by applicable law, infacta ltd. and its suppliers disclaim all warranties, either express or implied, including, but not limited to, implied warranties of merchantability and fitness for a particular purpose and any warranty against infringement, with regard to the SOFTWARE. This limited warranty gives you specific legal rights. You may have others that vary from state/jurisdiction to state/jurisdiction.

4. CUSTOMER REMEDIES. infacta ltd.'s entire liability and your exclusive remedy shall not exceed the price paid for the SOFTWARE.

5. NO LIABILITY FOR CONSEQUENTIAL DAMAGES. To the maximum extent permitted by applicable law, in no event shall infacta ltd. or its suppliers be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use this infacta ltd. product, even if infacta ltd. has been advised of the possibility of such damages. Because some states/jurisdictions do not allow the exclusion or limitation of liability for consequential or incidental damages, the above limitation may not apply to you.

6. DO NOT SEND UNSOLICITED EMAIL. Be aware that you are solely responsible for the messages you send. In many cases, sending unsolicited email is in violation of the law, and you will be solely accountable and liable for damages and violations.

We reserve the right to refuse technical support and/or other services if you:

1. send unsolicited email; or

2. you hijack a mail server relay; or

3. distribute illegal information or materials; or

4. forge header information; or

5. put false of misleading information in the subject; or

6. fail to provide a means for unsubscribing from your lists


Spam Abuse

Be aware that you are solely responsible for the messages you send. In many cases, sending unsolicited email is in violation of the law, and you will be solely accountable and liable for damages and violations.

We reserve the right to refuse technical support and/or other services if you:

1. send unsolicited email; or

2. you hijack a mail server relay; or

3. distribute illegal information or materials; or

4. forge header information; or

5. put false of misleading information in the subject; or

6. fail to provide a means for unsubscribing from your lists

Please see http://www.infacta.com/spam.asp for more information on how we implement our anti-spam policy.


Privacy Policy

To view our most up to date privacy & terms of usage policy please click here (http://www.infacta.com/privacy.asp).


SMTP

Simple Mail Transport Protocol. This is the standard protocol used on the Internet to send mail to and between mail servers and clients. This is the protocol Group Mail uses to send and route its mail messages.

The SMTP Protocol is based on a standard set forth under RFC 821.

A conversation is established with a SMTP server by connecting to port 25 on the SMTP server. After the initial connection, the client (Group Mail) sends a HELO command followed by a domain name. This tells the SMTP server to whom it is talking to. The SMTP server may decide to terminate the connection at that point if it does not wish to speak to the specified domain.

If the HELO command is accepted by the remote server, the SMTP client issues a MAIL-FROM command followed by the "from address" of the e-mail being sent. Once again, the SMTP server may decide to terminate the connection if it does not wish to receive mail from the specified sender.

NOTE: Some SMTP servers may do a reverse lookup on the domain name specified for the HELO or FROM command. If the IP address of the SMTP client is not registered to that domain, the client may be considered an imposter, and the connection will be dropped.

After the from address is accepted, the SMTP client issues a RCPT-TO command followed by the address of the intended recipient. At this point the SMTP server has the opportunity to reject mail being sent to the specified address. For example, some SMTP servers will only accept mail for local users.

The SMTP client may issue multiple RCPT-TO commands to the server, thus adding more recipients to the message. When the SMTP client is through adding the recipients to the message, it issues the DATA command to the server.

If the DATA command is accepted, the SMTP client then proceeds to send the message headers, followed by a blank line, followed by the message body and file attachment data. When the SMTP client is through sending the message data, it sends a carriage return, followed by a period, followed by a carriage return, to indicate the end of the message.

At this point the SMTP server acknowledges the receipt of the message data. The SMTP client may then proceed to send another message, or can send the QUIT command to terminate the conversation.

Group Mail goes a little further that SMTP where supported by using Extended commands such as pipelining and authentication.

Group Mail complies with the following protocols relating to email.

  • 821 The SMTP protocol

  • 822 Standard for the format of ARPA Internet text messages

  • 974 Mail routing and the domain system

  • 1854 SMTP Service Extension for Command Pipelining

  • 1869 SMTP Service Extensions (ESMTP) (Obsoletes RFC1651)

  • 1891 SMTP Service Extension for Delivery Status Notifications

  • 1939 Post Office Protocol - Version 3. (Obsoletes RFC1725)

  • 2045 Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies. (Obsoletes RFC1521 RFC1522 RFC1590)

  • 2046 Multipurpose Internet Mail Extensions (MIME) Part Two: Media Types. (Obsoletes RFC1521 RFC1522 RFC1590)

  • 2047 MIME (Multipurpose Internet Mail Extensions) Part Three: Message Header Extensions for Non-ASCII Text. (Obsoletes RFC1521 RFC1522 RFC1590)

  • 2554 SMTP Service Extension for Authentication


POP3

Post Office Protocol Version 3. Used by mail readers to retrieve mail from a mail server.

POP3 is the most recent version of a standard client-server protocol for receiving e-mail.

POP3 mail servers listen for mail requests and forward mail to the requesting party. The default port on which the POP3 server listens for these requests is 110.

Client side mail readers can issue a predefined set of commands to the mail server, to access the mail in their own desired fashion.

By default, POP3 clients login to the POP3 server by sending the password for the mail account as clear text. This may be undesirable in high security-type situations. With POP3's optional APOP authentication, the password itself is never sent to the remote mail server. Instead, a digest is created using the RSA MD5 algorithm. This digest is based on the password and a unique value supplied by the POP3 mail server during the connection. This digest is sent to the mail server in lieu of the password. Because the unique value supplied by the mail server changes with each connection, APOP authentication ensures that a different digest will be sent each time you log onto the sever. This seriously reduces the ability for a network sniffing program to capture your password.

A POP3 session is created when a remote user connects to a mailbox on the POP3 mail server. The session ends when the remote user disconnects from the POP3 mail server. While a session is open, no other user can retrieve mail from the POP3 mailbox, however mail can still be sent to that account. This is by design of the POP3 protocol.

While in a session, regardless of new mail which may be arriving in the mailbox, all things remain equal. At the time the session is initiated, mailbox state is saved and the entire session operates off of that cached state. Once a session is terminated, values obtained from that session may no longer be valid.

For example, if you initiate a session with a POP3 mail server and find that there are five messages available. While in the session, operations on these messages require a message number, which is the position of the message in the list of five. Once you terminate your session, you can not assume that five messages are still available. If you initiate another session, you can not assume that the message number three from the first session is message number three in the new session.

Because of this, certain message operations are only valid while in the same session which downloaded the message. Once a session is terminated, if you wish to perform server operations on a specific message, you will need to establish a new session, locate the message by comparing its properties (subject, date, message id, etc...) to ones you saved from the previous session, and then act upon the message before terminating the new session.

Group Mail complies with the following protocols relating to email.

  • 821 The SMTP protocol

  • 822 Standard for the format of ARPA Internet text messages

  • 974 Mail routing and the domain system

  • 1854 SMTP Service Extension for Command Pipelining

  • 1869 SMTP Service Extensions (ESMTP) (Obsoletes RFC1651)

  • 1891 SMTP Service Extension for Delivery Status Notifications

  • 1939 Post Office Protocol - Version 3. (Obsoletes RFC1725)

  • 2045 Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies. (Obsoletes RFC1521 RFC1522 RFC1590)

  • 2046 Multipurpose Internet Mail Extensions (MIME) Part Two: Media Types. (Obsoletes RFC1521 RFC1522 RFC1590)

  • 2047 MIME (Multipurpose Internet Mail Extensions) Part Three: Message Header Extensions for Non-ASCII Text. (Obsoletes RFC1521 RFC1522 RFC1590)

  • 2554 SMTP Service Extension for Authentication


MIME

Multipurpose Internet Mail Extensions. MIME is used to delineate and describe the different parts of an e-mail message.

The purpose of MIME is to describe the many parts of the modern e-mail message, such as images, audio files and other attachments.

Messages encoded with MIME, may consist of many parts. MIME allows each part to be described in detail. Some parts of a MIME formatted message may even be encoded with an encoding method, like Base 64 or Printed Quotable.

For example, a MIME message may include a plain text message and a GIF image. The GIF image is binary data which consists of 8 bit characters. To get the GIF image data to pass through the Internet, Base 64 could be used to encode the data into text based characters. On a larger scale MIME is used to annotate the parts of the message so that the receiving mail reader will know what data is stored in the message and optionally process it (this is how HTML Messages work). For example, instead of listing the GIF file as a generic attachment, it may display it automatically.


Plug-ins

These are small applications or utilities that allow you to extend the core functionality found in Group Mail Pro and Plus.

To find out more about plug-ins and to see what ones are available please see http://www.infacta.com/customers.asp


Bulk Email

AKA BCC, Short for blind carbon copy, a copy of an e-mail message sent to a recipient without the recipient's address appearing in the message. Most e-mail clients include two fields labeled cc and bcc. When you enter addresses in the cc field, the message is copied to those addresses and the cc addresses appear at the top of the e-mail message. When you enter addresses in the bcc field, however, the addresses do not appear in the message. This is useful if you want to copy a message to many people without each of them seeing who the other recipients are.

Group Mail offers the user the ability to send messages using BCC (choose bulk send mode on the Prepare to Send screen). This is fine when you do not require the message to be personalized etc. Please note however that some ISPs treat messages sent in this way as second rate (because of spammer abuse) and this can take from their effectiveness.

Where ever possible you should always send your messages in personal mode.


Spam

Junk email or junk newsgroup postings. Some people define spam even more generally as any unsolicited e-mail. Spam is generally e-mail advertising for some service or product sent to an individual, mailing list or newsgroup.

We at infacta have a zero tolerance policy to spam, especially if it was sent using any of our products. Please see out usage policy at http://www.infacta.com/spam.asp


How to buy or upgrade

To purchase:

Please visit http://www.infacta.com/purchase.asp for our most up to date ordering information including pricing details. You can purchase online, by phone, fax, and postal mail.

If you require multi-user/educational/registered non profit pricing then please contact our sales department for further details.

Upgrading from a previous version:

To upgrade from a previous version of Group Mail please try logging onto http://www.infacta.com/customers.asp with your Product key details.

If you do not have details or if you are unable to access the site please contact sales@infacta.com with your order details.

Typically users are covered for all minor updates to the version of the product they purchased free of charge. Contact sales@infacta.com with your order details to see if you eligible for a free update.


How to resell our software

For further information regarding our reseller / affiliate program please see http://www.infacta.com/affiliate.asp. You can also sign up as a reseller/affiliate from there also.


What's New

This page is only intended to inform you of the major changes in this version over previous ones. For a full list of changes and bug fixes etc. please see the readme.txt file which can be found in the Group Mail folder.

Version 3.4.9x

New feature: If Then Else Script support added to personalization options. Make your messages smarter!

New feature: Four formatting functions added - now you can choose to format the addition fields using named number formatting types such as Standard, Currency, Percentage and DateTime.

Update/Bug: Attachments not being loaded correctly when doing a resend.

Version 3.4.80

New feature: Identification Fields can know be merged into the message body. See the Merge Menu / From Identification Fields item for the list of fields available.

New feature: It is now possible to turn off automatic signature embedding in text messages. You may need to do this if you wish to use the new Signature Merge Field.

Update: New accessibility options added - short cut keys on main menus now activate when focused.

Update: Header creation is now more intelligent - headers contain duplicated information are left out resulting in smaller message sizes/faster send speeds.

Version 3.4.x

New feature: Merge fields can now be used in the Reply To and From Name fields.

New feature: It is now possible to force replies to a certain email address (other than the From Email address).

New feature: Physical Group Sorting - now you can sort a group permanently (as opposed to standard appearance/view/grid sorting). See the tools menu to use this feature.

New feature: All merge fields are now available in a URL friendly alternative format. This makes them safe to use as part of Web links etc.

New feature: When you send in personal mode you can now control and personalize the To field content. Prior to this release the first and last name of the recipient were used. Now any combination of the name fields can be used.

New feature: One click resume - it is now possible to resume, continue and resend messages that are stored on the Sent Messages tab. All logs associated with each message can be reviewed also. Be careful though - these log files can mount up and consume a lot of space.

New feature: Identity Manager - Prior to this release multiple identities had to be created and maintained with groups. This is no longer the case. Group Mail now treats identities like most popular email clients and allows you to select which one you want to use when you are creating your messages or preparing them for sending.

Updated: Direct Sending has been improved so that all MX hosts listed for a recipients domain are now used in rotation should the previous one fail.

Updated: International support has been improved dramatically. The default system character set is properly selected on all edit and user display dialogs. There is also limited BiDirectional editing support for Arabic/Hebrew users.

Updated: Outlook XP/2002 Address books are now supported in the Address Book importer.

Please check for updates to this software at http://www.infacta.com

Copyright © 1997 - 2004 Infacta Ltd., all rights reserved - http://www.infacta.com


Contacting Us

For the latest information regarding technical support please see http://www.infacta.com/support.asp

For general contact information (address, telephone etc.) please see http://www.infacta.com/contact.asp

Copyright © 1997 - 2004 Infacta Ltd, All Rights Reserved.


Creating backups

Automatic Backups

Use the GroupBackup Plug-in to easily and quickly backup all essential details. All details are rolled into one zip file which you can store where ever you like for safe keeping.

To restore backed up information close Group Mail and then run the Restore utility that can be found in the Group Mail folder - this will allow you to select any previous backups and restore them.

Manual Backups

Copy the following files from the Group Mail folder on your system to a safe place. Make sure that Group Mail isn't running when you do this.

All files with the following extensions

*.gdb - these are your core groups

*.gmp - these files hold description information for each group

*.dat - settings files - hold all configuration information

*.gmx - message files

The following folders can be backed up also

Sent Messages

Logs

If you need to do a restore make sure Group Mail isn't running - then just copy back in the files/folders described above.

Copyright © 1997 - 2004 Infacta Ltd, All Rights Reserved.


Frequently asked questions

Please check out our up to date online FAQ system at http://www.infacta.com/kb/default.asp

Copyright © 1997 - 2004 Infacta Ltd, All Rights Reserved.


Keeping up to date

To make sure you are using the latest version of the software you should do the following.

1/ Check the version number of the version you are currently using. The full version number is in a format like v3.3.004 and can be found on the About screen - available from the Help Menu in Group Mail.

2/ Users should then visit http://www.infacta.com/download.asp and check the latest version available. If there is a new version available download it, make sure Group Mail isn't running, then install it - into the same folder as that in which your original version was installed. The Group Mail installer will attempt to find this folder automatically - you should confirm that it has the correct one before applying the update.

You can also check to see if you are using the most up to date version by going to the Help Menu in Group Mail - then just click on the Check for Updates item. You will be brought to a web page then which will let you know if you have the latest version installed or not.

Copyright © 1997 - 2004 Infacta Ltd, All Rights Reserved.


Tutorials

To see the latest list of tutorials available please visit http://www.infacta.com/tutorials.asp

Copyright © 1997 - 2004 Infacta Ltd, All Rights Reserved.